<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
include_once("$latest_skin_path/skin.lib.php");
$list_content = "210"; //내용길이
$img_width = 330; // 이미지 가로 사이즈
$img_height = 210; // 이미지 세로 사이즈

$mod = 3; // 한줄 출력개수

//언샾마스트 퀄리티(썸 노이즈바지)
$th['filter'] = array();
$th['filter']['type'] = 90; 
$th['filter']['arg1'] = 100;
$th['filter']['arg2'] = 1;
$th['filter']['arg3'] = 2;
?>

<link href="<?=$latest_skin_path?>/css/style.css" rel="stylesheet" type="text/css" /> 
<style type="text/css">
.topFrameSlider span.frame {behavior:url(<?=$latest_skin_path?>/css/iepngfix.htc);}
</style>
<script src="<?=$latest_skin_path?>/js/jquery.bxslider2.0.1.min.js" type="text/javascript"></script>
<script type="text/javascript">
$(document).ready(function(){
	$('#frameSlides').bxSlider({
		alignment: 'horizontal',
		prev_image: '<?=$latest_skin_path?>/img/btn_arrow_left.gif',
		next_image: '<?=$latest_skin_path?>/img/btn_arrow_right.gif',
		wrapper_class: 'frameSlidesWrap',
		stop_text: '<img src="<?=$latest_skin_path?>/img/stop.gif" alt="stop" />',
		start_text: '<img src="<?=$latest_skin_path?>/img/start.gif" alt="start" />',
		margin: 70,
		auto: true,
		auto_controls: true
	});
});
</script>

<div class="topFrameSlider">
	<ul id="frameSlides">
<?
for ($i=0; $i<count($list); $i++) { 
?>
<li>
<?
	$data_path = $g4[path].'/data/file/'.$list[$i][bo_table];
	$thumb_path = $data_path.'/main_banner';

	@mkdir($thumb_path, 0707);
	@chmod($thumb_path, 0707);
	//썸네일 생성
	$thumfile = "";
    $thumb = $thumb_path.'/'.$list[$i][wr_id];
		$file = $list[$i][file][0][path] .'/'. $list[$i][file][0][file];

	// 업로드된 파일이 이미지라면
	if (preg_match("/\.(jpg|gif|png|bmp)$/i", $file) && file_exists($file)) { 
		$thumb = thumbnail($file, $img_width, $img_height, 0, 1, 90, 0, "",  $filter, $noimg); //첨부파일 언샾마스크추가

	} else { //에디터에서 삽입한 이미지
			$edit_img = $list[$i]['wr_content'];
		if (eregi("data/cheditor4[^<>]*\.(gif|jp[e]?g|png|bmp)", $edit_img, $tmp)) { // data/cheditor------
			$file = $g4[path].'/' . $tmp[0]; // 파일명
			$thumb=thumbnail($file, $img_width, $img_height, 0, 1, 90, 0, "",  $filter, $noimg); //언샾마스크추가
		}
	} 
    if (file_exists($thumb))
        $thumfile = "<img src='{$thumb}' border='0' width='{$img_width} height='{$img_height} \>";
		else
		//이미지가 없으면
		$thumfile="<img src='{$latest_skin_path}/img/no_image.gif' width='{$img_width}' height='{$img_height}'>";
		//이미지가 아니네
        if(preg_match("/\.(swf|wma|asf)$/i","$file") && file_exists($file)){
		$thumfile = "<script>doc_write(flash_movie('$file', 'flash$i', '$img_width', '$img_height', 'transparent'));</script>"; 
	    }    
					$content = cut_str(str_replace("&nbsp;","",strip_tags($list[$i][wr_content])),$list_content);
?>
				<a href="<?=$list[$i]['href']?>"><span class="frame"></span>
					<span class="thumb"><?=$thumfile?></span>
					<strong><?=$list[$i]['subject']?></strong>
					<span class="text"><?=$content?></span>
					<img src="<?=$latest_skin_path?>/img/btn_more.gif" alt="더보기" class="more" />
				</a>
			</li>
<?}?>
<? if (count($list) == 0) { ?><li>게시물이 없습니다.</li><? } ?>
	</ul>
</div>